# $Revision: 1.4 $, $Date: 2010/03/05 09:06:55 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	MouseX
%define	pnam	Types-Path-Class
Summary:	MouseX::Types::Path::Class - A Path::Class type library for Mouse
Summary(pl.UTF-8):	MouseX::Types::Path::Class - biblioteka typu Path::Class dla Mouse
Name:		perl-MouseX-Types-Path-Class
Version:	0.06
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MASAKI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	166faea5156d065ce495993026b90848
URL:		http://search.cpan.org/dist/MouseX-Types-Path-Class/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(MouseX::Types) >= 0.01
BuildRequires:	perl-Mouse
BuildRequires:	perl-Path-Class
BuildRequires:	perl-Any-Moose >= 0.05
BuildRequires:	perl-Test-UseAllModules
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MouseX::Types::Path::Class - A Path::Class type library for Mouse

%description -l pl.UTF-8
MouseX::Types::Path::Class - biblioteka typu Path::Class dla Mouse

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/MouseX/Types/Path
%{perl_vendorlib}/MouseX/Types/Path/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MouseX-Types-Path-Class.spec,v $
Revision 1.4  2010/03/05 09:06:55  amateja
- added missing %dir in %files section
- release 2

Revision 1.3  2010/03/05 07:13:56  amateja
- updated to 0.06

Revision 1.2  2009/08/27 11:19:08  amateja
- Source0: URL updated

Revision 1.1  2009/08/27 08:28:39  amateja
- initial

